List container images
curl --request GET \
--url https://api.blaxel.ai/v0/images \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.blaxel.ai/v0/images"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.blaxel.ai/v0/images', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"metadata": {
"createdAt": "<string>",
"displayName": "<string>",
"events": [
{
"canaryRevision": "<string>",
"message": "Deployment successful",
"revision": "rev-abc123",
"status": "DEPLOYED",
"time": "2025-01-15T10:30:00Z",
"type": "deployment"
}
],
"lastDeployedAt": "<string>",
"name": "<string>",
"resourceType": "<string>",
"sourceWorkspace": "<string>",
"updatedAt": "<string>",
"workspace": "<string>"
},
"spec": {
"size": 123,
"tags": [
{
"createdAt": "<string>",
"name": "<string>",
"size": 123,
"updatedAt": "<string>"
}
]
}
}
]images
List container images
Returns all container images stored in the workspace registry, grouped by repository with their available tags. Images are created during deployments of agents, functions, sandboxes, and jobs.
GET
/
images
List container images
Last modified on July 1, 2026
Was this page helpful?
⌘I
